Xapian: API Documentation: Xapian::ValueRangeProcessor Class Reference

xapian-core 1.4.22

Public Member Functions | List of all members
Xapian::ValueRangeProcessor Class Referenceabstract

Base class for value range processors. More...

`#include <queryparser.h>`

Inheritance diagram for Xapian::ValueRangeProcessor:
[legend]

## Public Member Functions
| ValueRangeProcessor ()
| Default constructor.
virtual | ~ValueRangeProcessor ()
| Destructor.
virtual Xapian::valueno | operator() (std::string &begin, std::string &end)=0
| Check for a valid range of this type. More...
ValueRangeProcessor * | release ()
| Start reference counting this object. More...
const ValueRangeProcessor * | release () const
| Start reference counting this object. More...

## Detailed Description

Base class for value range processors.

## Member Function Documentation

## ◆ operator()()

virtual Xapian::valueno Xapian::ValueRangeProcessor::operator() | ( | std::string & | begin,
|  | std::string & | end
| ) |  |
| pure virtual

Check for a valid range of this type.

Parameters

  [in,out] | begin | The start of the range as specified in the query string by the user. This parameter is a non-const reference so the ValueRangeProcessor can modify it to return the value to start the range with.
  [in,out] | end | The end of the range. This is also a non-const reference so it can be modified.

Returns
  If this ValueRangeProcessor recognises the range BEGIN..END it returns the value slot number to range filter on. Otherwise it returns Xapian::BAD_VALUENO.

Implemented in Xapian::StringValueRangeProcessor, Xapian::DateValueRangeProcessor, and Xapian::NumberValueRangeProcessor.

## ◆ release() [1/2]

ValueRangeProcessor * Xapian::ValueRangeProcessor::release | ( |  | ) |
| inline

Start reference counting this object.

You can hand ownership of a dynamically allocated ValueRangeProcessor object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

## ◆ release() [2/2]

const ValueRangeProcessor * Xapian::ValueRangeProcessor::release | ( |  | ) | const
| inline

Start reference counting this object.

You can hand ownership of a dynamically allocated ValueRangeProcessor object to Xapian by calling release() and then passing the object to a Xapian method. Xapian will arrange to delete the object once it is no longer required.

The documentation for this class was generated from the following file:

- xapian/queryparser.h